Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class GetOoOListResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.ehbox.consultation.protocol.v3.GetOoOListResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class GetOoOListResponse extends ResponseType implements Serializable

Java class for GetOoOListResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetOoOListResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="OoO" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="OoOId" type="{urn:be:fgov:ehealth:ehbox:core:v3}OoOIdType"/>
                       <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="Substitute" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetOoOListResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<OoO>`
  `getOoOs()`
  Gets the value of the ooOs property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetOoOListResponse

    public GetOoOListResponse()

- ## Method Details

  - ### getOoOs

    public List<OoO> getOoOs()
    Gets the value of the ooOs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ooOs property.

    For example, to add a new item, do as follows:

         getOoOs().add(newItem);

    Objects of the following type(s) are allowed in the list `OoO`

    Returns:
      The value of the ooOs property.